
/* Container */
.dropdown {
    display: inline-block;
    position: relative;
}
.dropdown:hover {
    box-shadow: 2px 2px 5px #ddd;
}
.dropdown::focus {
    outline: none !important;
}

/* Toggle */
.dropdown > button {
    padding: 0.5em 2em 0.5em 1.5em;
    height: 2em;
    border: 1px solid #ccc;
    font-size: 1rem;
    background-color: #eee;
}
.dropdown > button::focus {
    outline: none !important;
}
.dropdown > button::after {
    content: "";
    position: absolute;
    top: 1em;
    right: 1em;
    border: 0.3em solid;
    border-color: black transparent transparent;
}

/* body */
.dropdown > div {
    display: none;
    position: absolute;
    top: 2.1em;
    left: 0;
    min-width: 100%;
    background-color: #eee;
    z-index: 10;
    border: 1px solid #ccc;
}

/* Open state */
.dropdown.is-open > button::after {
    top: 0.7em;
    border-color: transparent transparent black;
}
.dropdown.is-open > div {
    display: block;
}

.dropdown img {
    width: 100%;
}


/* Menu */
.menu {
    margin: 0;
    padding-left: 0;
    list-style-type: none;
    border: 1px solid #999;
}

.menu > li + li {
    border-top: 1px solid #999;
}

.menu > li > a {
    display: block;
    padding: 0.5em 1.5em;
    background-color: #eee;
    color: #369;
    text-decoration: none;
}
.menu > li > a:hover {
    background-color: #fff;
}
